- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axutil_thread_pool.h File Reference

Axis2 thread pool interface. More...

`#include <axutil_utils_defines.h>`
`#include <axutil_allocator.h>`
`#include <axutil_thread.h>`

Go to the source code of this file.

## Typedefs
typedef struct axutil_thread_pool | axutil_thread_pool_t
## Functions
AXIS2_EXTERN axutil_thread_t * | axutil_thread_pool_get_thread (axutil_thread_pool_t *pool, axutil_thread_start_t func, void *data)
AXIS2_EXTERN axis2_status_t | axutil_thread_pool_join_thread (axutil_thread_pool_t *pool, axutil_thread_t *thd)
AXIS2_EXTERN axis2_status_t | axutil_thread_pool_exit_thread (axutil_thread_pool_t *pool, axutil_thread_t *thd)
AXIS2_EXTERN axis2_status_t | axutil_thread_pool_thread_detach (axutil_thread_pool_t *pool, axutil_thread_t *thd)
AXIS2_EXTERN void | axutil_thread_pool_free (axutil_thread_pool_t *pool)
AXIS2_EXTERN axutil_thread_pool_t * | axutil_thread_pool_init (axutil_allocator_t *allocator)
AXIS2_EXTERN struct axutil_env * | axutil_init_thread_env (const struct axutil_env *system_env)
AXIS2_EXTERN void | axutil_free_thread_env (struct axutil_env *thread_env)

## Detailed Description

Axis2 thread pool interface.